<?php


return  
    [
        'model' => [
            'model' => \Realestate\Video\Models\Video::class,
            'table' => 'realestate_video_videos',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['title',  'description',  'video_file',  'status',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'video/video',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            "video_file" => [
                "key" => "video_file", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'video::video.label.video_file', 
                "placeholder" => 'video::video.placeholder.video_file', 
            ],
            "status" => [
                "key" => "status", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'video::video.label.status', 
                "placeholder" => 'video::video.placeholder.status', 
            ],
            "user_id" => [
                "key" => "user_id", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'video::video.label.user_id', 
                "placeholder" => 'video::video.placeholder.user_id', 
            ],
        ],

        'list' => [
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'video::video.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "status", 
                "type" => "text", 
                "label" => 'video::video.label.status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "user_id", 
                "type" => "text", 
                "label" => 'video::video.label.user_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'video::video.label.title',
                "placeholder" => 'video::video.placeholder.title',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'video::video.label.description',
                "placeholder" => 'video::video.placeholder.description',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'video_file',
                "element" => 'text',
                "type" => 'text',
                "label" => 'video::video.label.video_file',
                "placeholder" => 'video::video.placeholder.video_file',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'status',
                "element" => 'text',
                "type" => 'text',
                "label" => 'video::video.label.status',
                "placeholder" => 'video::video.placeholder.status',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'video/video/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'video/video/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'video/video',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'video/video',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'video/video',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'video/video',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'video::video.label.created_at',
            'name' => 'video::video.label.name',
            'status' => 'video::video.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "video::video.groups.main",
                'group' => "main.main",
                'title' => "video::video.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "video::video.groups.details",
                'group' => "main.details",
                'title' => "video::video.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "video::video.groups.images",
                'group' => "main.images",
                'title' => "video::video.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "video::video.groups.settings",
                'group' => "main.settings",
                'title' => "video::video.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Realestate',
            'package' => 'Video',
            'module' => 'Video',
        ],

        
        
    ];
