<?php

namespace Realestate\Video\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class VideoTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('realestate_video_videos')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'realestate.video.video.view',
                'name'      => 'View Video',
            ],
            [
                'slug'      => 'realestate.video.video.create',
                'name'      => 'Create Video',
            ],
            [
                'slug'      => 'realestate.video.video.edit',
                'name'      => 'Update Video',
            ],
            [
                'slug'      => 'realestate.video.video.delete',
                'name'      => 'Delete Video',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/video/video',
                'name'        => 'Video',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/video/video',
                'name'        => 'Video',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'video',
                'name'        => 'Video',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Video',
                'module'    => 'Video',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'realestate.video.video.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
