<?php

namespace Realestate\Video\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Realestate\Video\Models\Video;


class VideoAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'realestate.video.video';
    protected $eventClass = \Realestate\Video\Events\VideoAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Video $video, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $video;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Video $video, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $video = $video->create($attributes);
        return $video;
    }

    public function update(Video $video, array $request)
    {
        $attributes = $request;
        $video->update($attributes);
        return $video;
    }

    public function destroy(Video $video, array $request)
    {
        $video->delete();
        return $video;
    }

    public function copy(Video $video, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $video = $video->replicate();
            $video->created_at = Carbon::now();
            $video->save();
            return $video;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $video->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $video;
    }


}
